<?php if ( ! defined( 'ABSPATH' )  ) {
  die;
}
// Cannot access directly.
//
// Set a unique slug-like ID
//
$prefix = '_wmou_options';
//
// Create options
//
CSF::createOptions( $prefix, array(
  'menu_title' => '面板',
  'menu_slug'  => 'wmou-panel',
  'framework_title'         => '控制面板 <small>V1.0</small>',
  'footer_text'             => '&copy;'.date("Y").' <a href="https://www.wangmou.com/" target="_blank" title="网谋">网谋</a> 版权所有<div style="display:none"><script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?0fe63a9fa8fd46d3550ee45a33348d97";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
    })();
    </script></div>',
    'footer_credit' => '交流社区：<a href="https://www.jlsq.com/" target="_blank" title="交流社区">www.jlsq.com</a>、致富论坛：<a href="https://www.zflt.com/" target="_blank" title="致富论坛">www.zflt.com</a>',
  ) );
//
// 全局变量
//
CSF::createSection( $prefix, array(
  'title'       => '全局变量',
  'icon'        => 'fas fa-globe',
  'fields'      => array(
    array(
      'id'    => '_html_verify',
      'type'  => 'textarea',
      'title' => 'HTML验证',
      'sanitize' => false,
      'after'   => esc_html( '添加在<head></head>之间'),
    ),
    array(
      'id'    => '_icp',
      'type'  => 'text',
      'title'   => 'ICP备案号',
      'attributes' => array(
        'style'    => 'width: 100%;',
      ),
    ),
    array(
      'id'    => '_gongan_icp',
      'type'  => 'text',
      'title'   => '公安备案号',
      'attributes' => array(
        'style'    => 'width: 100%;',
      ),
    ),
    array(
      'id'    => '_analysis',
      'type'  => 'textarea',
      'title' => '统计代码',
      'sanitize' => false,
    ),
  )
) );
//
// 站点列表
//
CSF::createSection( $prefix, array(
  'title'       => '站点列表',
  'icon'        => 'fas fa-globe',
  'fields'      => array(
    array(
      'id'    => '_col',
      'type'  => 'radio',
      'title' => '布局',
      'inline'  => true,
      'options' => array(
        'col-6 col-lg-2'   => 'col-6 col-lg-2',
        'col-6 col-lg-3'   => 'col-6 col-lg-3',
        'col-6 col-lg-4'   => 'col-6 col-lg-4',
        'col-6 col-lg-6'   => 'col-6 col-lg-6',
        'col-12 col-lg-2'   => 'col-12 col-lg-2',
        'col-12 col-lg-3'   => 'col-12 col-lg-3',
        'col-12 col-lg-4'   => 'col-12 col-lg-4',
        'col-12 col-lg-6'   => 'col-12 col-lg-6',
      ),
      'default' => 'col-6 col-lg-2'
    ),
    array(
      'id'         => '_site_shots',
      'type'       => 'switcher',
      'title'      => '站点图',
      'text_on'    => '开',
      'text_off'   => '关',
      'text_width' => '100',
      'default' => true,
    ),
    array(
      'id'     => '_site',
      'type'   => 'group',
      'button_title' =>'添加',
      'fields' => array(
        array(
          'id'    => '_category',
          'type'  => 'text',
          'title' => '站点分类',
          'attributes' => array(
            'style'    => 'width: 100%;'
          ),
        ),
        array(
          'id'    => '_color',
          'type'  => 'radio',
          'title' => '区块颜色',
          'inline'  => true,
          'options' => array(
            'primary'    => 'Primary',
            'secondary'   => 'Secondary',
            'success'   => 'Success',
            'danger'   => 'Danger',
            'warning'   => 'Warning',
            'info'   => 'Info',
            'light'   => 'Light',
            'dark'   => 'Dark',
          ),
          'default' => 'success'
        ),
        array(
          'id'    => '_site_list',
          'type'   => 'group',
          'title' => '站点详情',
          'button_title' =>'添加',
          'fields' => array(
            array(
              'id'    => '_name',
              'type'  => 'text',
              'title' => '站名',
              'attributes' => array(
                'style'    => 'width: 100%;'
              ),
            ),
            array(
              'id'    => '_domain',
              'type'  => 'text',
              'title' => '网址',
              'attributes' => array(
                'style'    => 'width: 100%;'
              ),
            ),
            array(
              'id'    => '_logo',
              'type'  => 'upload',
              'title' => 'Logo',
              'after' => '不设置则调用默认缩略图',
              'attributes' => array(
                'style'    => 'width: 100%;'
              ),
            ),
          ),
        ),
      ),
    ),
  )
) );
//
// 导航设置
//
CSF::createSection( $prefix, array(
  'title'       => '菜单设置',
  'icon'        => 'fas fa-bars',
  'fields'      => array(
    array(
      'id'     => '_nav',
      'type'   => 'group',
      'fields' => array(
       array(
         'id'    => '_nav_link_name',
         'type'  => 'text',
         'title' => '名称',
         'attributes' => array(
           'style'    => 'width: 100%;',
         ),
       ),
       array(
        'id'    => '_nav_link_url',
        'type'  => 'text',
        'title' => 'URL',
        'attributes' => array(
          'style'    => 'width: 100%;'
        ),
      ),
     ),
    ),
  )
) );
//
// SEO设置
//
CSF::createSection( $prefix, array(
  'title'       => 'SEO设置',
  'icon'        => 'fas fa-search',
  'description' => '在这里，你可以设置各个页面的SEO信息',
  'fields'      => array(
    array(
      'id'    => '_seo_title',
      'type'  => 'textarea',
      'title' => 'SEO标题',
      'default' => '{SiteName}',
      'after'   => '<p>一般不超过80个字符（网站名称变量：{SiteName}，站点变量：｛Domain｝）</p>',
    ),
    array(
     'id'    => '_seo_keywords',
     'type'  => 'textarea',
     'title' => 'SEO关键词',
     'default' => '{Domain},{SiteName},{SiteName}站点',
     'after'   => '<p>一般不超过120个字符（网站名称变量：{SiteName}，站点变量：{Domain}）</p>',
   ),
    array(
      'id'    => '_seo_description',
      'type'  => 'textarea',
      'title' => 'SEO描述',
      'default' => '{SiteName}地址{Domain}',
      'after'   => '<p>一般不超过200个字符（网站名称变量：{SiteName}，站点变量：{Domain}）</p>',
    ),
  )
) );
//
// 友情链接
//
CSF::createSection( $prefix, array(
  'title'       => '友情链接',
  'icon'        => 'fas fa-link',
  'fields'      => array(
    array(
      'id'     => '_link_site',
      'type'   => 'group',
      'fields' => array(
        array(
          'id'    => '_link_site_name',
          'type'  => 'text',
          'title' => '网站名称',
          'attributes' => array(
            'style'    => 'width: 100%;'
          ),
        ),
        array(
          'id'    => '_link_site_url',
          'type'  => 'text',
          'title' => '网站URL',
          'attributes' => array(
            'style'    => 'width: 100%;'
          ),
        ),
      ),
      'default' => array(
        array(
          '_link_site_name'  => '王某',
          '_link_site_url' => 'http://www.wangmou.com',
        ),
        array(
          '_link_site_name'  => '备用',
          '_link_site_url' => 'http://www.beiyong.com',
        ),
        array(
          '_link_site_name'  => '交流社区',
          '_link_site_url' => 'http://www.jlsq.com',
        ),
        array(
          '_link_site_name'  => '致富论坛',
          '_link_site_url' => 'http://www.zflt.com',
        ),
      )
    ),
  )
) );


//
// Field: backup
//
CSF::createSection( $prefix, array(
  'title'       => '导入导出',
  'icon'        => 'fas fa-shield-alt',
  'fields'      => array(

    array(
      'type' => 'backup',
    ),

  )
) );