<?php
$SiteName=get_bloginfo('name');
$Spacer='-';
$url=parse_url (esc_url( home_url( '/' ) ));
$siteDomain=$url['host'];//获取域名
$SeoTitle= ( ! empty( _wmou("_seo_title") ) ) ? _wmou("_seo_title") : '';
$SeoKeywords= ( ! empty( _wmou("_seo_keywords") ) ) ? _wmou("_seo_keywords") : '';
$SeoDescription= ( ! empty( _wmou("_seo_description") ) ) ? _wmou("_seo_description") : '';
if($SeoTitle!=''){
	$Title=$SeoTitle;
	$Title = str_replace('{Domain}',$siteDomain,$Title);
	$Title = str_replace('{SiteName}',$SiteName,$Title);
}else{
	$Title= $SiteName;
}
if($SeoKeywords!=''){
	$Keywords=$SeoKeywords;
	$Keywords = str_replace('{Domain}',$siteDomain,$Keywords);
	$Keywords = str_replace('{SiteName}',$SiteName,$Keywords);
}else{
	$Keywords= $SiteName;
}
if($SeoDescription!=''){
	$Description=$SeoDescription;
	$Description = str_replace('{Domain}',$siteDomain,$Description);
	$Description = str_replace('{SiteName}',$SiteName,$Description);
}else{
	$Description= $SiteName;
}
?>
<!doctype html>
<html lang="zh-CN">
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title><?php echo $Title;?></title>
	<meta name="keywords" content="<?php if(!empty($Keywords)){echo strip_tags($Keywords);}?>" />
	<meta name="description" content="<?php if(!empty($Description)){echo trim(strip_tags($Description));}?>" />
	<link href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap/5.3.0-alpha1/css/bootstrap.min.css" rel="stylesheet">
	<link rel="stylesheet" href="https://cdn.bootcdn.net/ajax/libs/font-awesome/6.2.0/css/all.css">
	<script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap/5.3.0-alpha1/js/bootstrap.bundle.min.js"></script>
	<?php if(_wmou('_html_verify')!=''){echo _wmou('_html_verify');}?>
</head>
<body>
	<nav class="navbar navbar-expand-lg bg-body-tertiary">
		<div class="container-fluid">
			<a class="navbar-brand d-flex" href="<?php echo home_url();?>"><?php echo get_bloginfo('name');?></a>
			<button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarScroll" aria-controls="navbarScroll" aria-expanded="false" aria-label="Toggle navigation">
				<span class="navbar-toggler-icon"></span>
			</button>
			<div class="collapse navbar-collapse" id="navbarScroll">
				<ul class="navbar-nav me-auto my-2 my-lg-0 navbar-nav-scroll" style="--bs-scroll-height: 100px;">
					<li class="nav-item">
						<a class="nav-link active" aria-current="page" href="<?php echo home_url();?>">首页</a>
					</li>
					<?php if(!empty(_wmou('_nav'))){$navs=_wmou('_nav');?>
					<?php foreach ($navs as $nav){?>
						<li class="nav-item">
							<a class="nav-link" href="<?php echo $nav['_nav_link_url'];?>"><?php echo $nav['_nav_link_name'];?></a>
						</li>
					<?php } } ?>
				</ul>

				<span class="navbar-text">
					<i class="fa fa-copyright me-1"></i><a href="/" title="<?php echo get_bloginfo('name');?>" class="text-decoration-none text-reset text-muted" target="_blank"><?php echo get_bloginfo('name');?></a>
				</span>

			</div>
		</div>
	</nav>
	<div class="container p-0">
		<?php 
		$col=( ! empty(_wmou("_col")) ) ? _wmou("_col") : '';
		if(!empty(_wmou('_site'))){
			$sites=_wmou('_site');
			foreach ($sites as $site){
        //var_dump($site);
				$category=( ! empty($site["_category"]) ) ? $site["_category"] : '';
				$categoryColor=( ! empty($site["_color"]) ) ? $site["_color"] : '';
				$siteLists=( ! empty($site["_site_list"]) ) ? $site["_site_list"] : '';
				
				?>
				<div class="fs-4 fw-bold my-3 px-3 py-2 rounded-start border-start border-5 border-<?php if(!empty($categoryColor)){echo $categoryColor;}?>"><?php if(!empty($category)){echo $category;}?></div>
				
				<div class="row g-3 mb-3">
					<?php if(!empty($siteLists)){
						foreach ($siteLists as $siteList){
							$name=( ! empty($siteList["_name"]) ) ? $siteList["_name"] : '';
							$domain=( ! empty($siteList["_domain"]) ) ? $siteList["_domain"] : '';
							$logo=( ! empty($siteList["_logo"]) ) ? $siteList["_logo"] : '';
							?>
							<div class="<?php if(!empty($col)){echo $col;}else{ echo 'col-12 col-lg-2 col-sm-6';}?>">
								<div class="shadow rounded">
									<div class="w-100 bg-body-tertiary px-2 py-2">
										<div class="me-auto d-flex text-truncate">
											<img src="https://ico.wmou.com/<?php echo wmou_get_site_domain($domain);?>.png" width="16" class="me-1 align-self-center" alt="<?php if(!empty($name)){echo $name;}?>">
											<a href="<?php if(!empty($domain)){echo $domain;}?>" title="<?php if(!empty($name)){echo $name;}?>" class="fw-bold text-body text-decoration-none align-self-center" rel="nofollow"><?php if(!empty($name)){echo $name;}?></a>
										</div>
									</div>
									<?php if(_wmou('_site_shots')==1){?>
										<div class="w-100">
											<a href="<?php if(!empty($domain)){echo $domain;}?>" class="text-success text-decoration-none" title="<?php if(!empty($name)){echo $name;}?>">
											    <?php if(!empty($logo)){
											        $img=$logo;
											    }else{
											        $img='https://s0.wp.com/mshots/v1/'.$domain.'?w=800&h=400';
											    }?>
												<img src="<?php echo $img;?>" class="w-100" alt="<?php if(!empty($name)){echo $name;}?>">
											</a>
										</div>
									<?php } ?>
									<div class="w-100 px-2 py-1">
										<div class="me-auto text-truncate align-self-center">
											<a href="<?php if(!empty($domain)){echo $domain;}?>" class="text-muted text-decoration-none" title="<?php if(!empty($name)){echo $name;}?>" target="_blank" rel="nofollow"><?php echo wmou_get_site_domain($domain);?></a>
										</div>
									</div>
								</div>
							</div>
							
						<?php } } ?>
					</div>
				<?php } } ?>
				<?php if(!empty(_wmou('_link_site'))){$links=_wmou('_link_site');?>
				<div class="shadow rounded">
					<div class="fw-bold mt-4 fs-5 px-3 py-2">
						<i class="fas fa-link text-success me-2"></i>友情链接
					</div>
					<div class="p-3 bg-light">
						<?php foreach ($links as $link){?><a href="<?php echo $link['_link_site_url'];?>" title="<?php echo $link['_link_site_name'];?>" class="text-decoration-none text-body text-opacity-75 me-1" target="_blank"><?php echo $link['_link_site_name'];?></a><?php } ?>
					</div>
				</div>
			<?php } ?>
		</div>
		<div class="mt-3 bg-body-tertiary py-3 text-center">
			<div class="w-100">&copy;<?php echo date("Y"); ?><a href="<?php echo home_url();?>" title="<?php echo get_bloginfo('name'); ?>" class="text-body text-decoration-none fw-bold mx-2"><?php echo get_bloginfo('name'); ?></a>版权所有</div>
			<?php if(!empty(_wmou('_gongan_icp'))){?><div class="w-100"><a href="http://www.beian.gov.cn/portal/registerSystemInfo?recordcode=<?php echo findNum(_wmou('_gongan_icp'));?>" target="_blank" rel="nofollow" class="text-reset text-decoration-none"><img src="<?php bloginfo('template_url'); ?>/images/gongan.png" height="20" class="me-1" alt="<?php echo get_bloginfo('name');?>" loading="lazy"><?php echo _wmou('_gongan_icp')?></a></div>
		<?php } ?>
		<?php if(_wmou('_icp')!=''){?><div class="w-100"><a href="http://beian.miit.gov.cn/" target="_blank" rel="nofollow" class="text-reset text-decoration-none"><?php echo _wmou('_icp');?></a></div>
	<?php } ?>
	<div class="w-100 small">由<a class="text-body text-decoration-none mx-1" href="https://www.wangmou.com" title="网谋">网谋</a>提供技术支持</div>
</div>
<?php if(!empty(_wmou('_qq_qr'))){?>
	<!-- Modal -->
	<div class="modal fade" id="qq" tabindex="-1" aria-labelledby="qqLabel" aria-hidden="true">
		<div class="modal-dialog modal-dialog-centered">
			<div class="modal-content">
				<div class="modal-header">
					<h1 class="modal-title fs-5" id="qqLabel">QQ/TIM扫一扫，加我好友</h1>
					<button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
				</div>
				<div class="modal-body text-center">
					<img src="<?php echo _wmou('_qq_qr');?>" class="mw-100">
				</div>
				<div class="modal-footer">
					<button type="button" class="btn btn-secondary" data-bs-dismiss="modal">关闭</button>
				</div>
			</div>
		</div>
	</div>
<?php }?>
<?php if(!empty(_wmou('_wechat_qr'))){?>
	<!-- Modal -->
	<div class="modal fade" id="wechat" tabindex="-1" aria-labelledby="wechatLabel" aria-hidden="true">
		<div class="modal-dialog modal-dialog-centered">
			<div class="modal-content">
				<div class="modal-header">
					<h1 class="modal-title fs-5" id="wechatLabel">微信扫一扫，加我好友</h1>
					<button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
				</div>
				<div class="modal-body text-center">
					<img src="<?php echo _wmou('_wechat_qr');?>" class="mw-100">
				</div>
				<div class="modal-footer">
					<button type="button" class="btn btn-secondary" data-bs-dismiss="modal">关闭</button>
				</div>
			</div>
		</div>
	</div>
<?php }?>
<?php if(_wmou('_analysis')!=''){?>
	<div style="display:none"><?php echo _wmou('_analysis');?></div>
<?php }?>
</body>
</html>